EDIT - feature request #9288

Add symbols for flags in use for term trees in term tree editor
11/09/2020 03:16 PM - Andreas Muller

Status: Closed Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.25

Severity: normal

Description

The flags are "allow duplicates", "order relevant" and "is flat".

As long as we do not have better symbols we could use letters instead, maybe in brackets or so. But | think at least for hierarchies
there are a couple of symbols available in eclipse.

Related issues:

Related to EDIT - bug #8774: Reimplement term tree editors to implement the g... Closed
Related to EDIT - feature request #9337: Open issues for reimplementation of ... Closed
Copied to EDIT - feature request #9700: Improve symbols for flags in use for ... New

Associated revisions

Revision ¢168ff52 - 07/06/2021 01:55 PM - Katja Luther
ref #9337, #9288: add image for list

History

#1 - 11/09/2020 03:19 PM - Andreas Miuller

- Related to bug #8774: Reimplement term tree editors to implement the general save strategy added

#2 - 12/03/2020 08:13 PM - Andreas Miller

- Category set to taxeditor

#3 - 12/03/2020 08:33 PM - Andreas Miiller

- Related to feature request #9337: Open issues for reimplementation of termtree editors added

#4 - 07/06/2021 11:15 AM - Andreas Miiller

Now, trees show a symbol but lists don't. | think either we show a symbol for both or for none of them.

#5 - 07/06/2021 01:18 PM - Andreas Miuller

- Related to feature request #9697: Remaining issues for reimplementation of termtree editors added

#6 - 07/06/2021 03:15 PM - Katja Luther
- Status changed from New to Resolved

- Target version changed from Unassigned CDM tickets to Release 5.25

added also the list symbol.

#7 - 07/07/2021 04:16 PM - Andreas Miiller

- Copied to feature request #9700: Improve symbols for flags in use for term trees in term tree editor added

#8 - 07/07/2021 04:16 PM - Andreas Miuller

- Related to deleted (feature request #9697: Remaining issues for reimplementation of termtree editors)

#9 - 07/07/2021 04:20 PM - Andreas Miuller
- Status changed from Resolved to Closed

- % Done changed from 0 to 100

"is flat" is now implemented. Move open issues for "allow duplicates" and "order relevant" to follow up ticket #9700
